var data = require('./src/createData');
const chalk = require('chalk');
var cmd = require('node-cmd');
var shape = require('./src/dafaultSchema');
module.exports.startServer = async function(schema=shape.schema , path = process.cwd(), fileName='db.json', port='4242', verbose=false) {
    try {
        const createdData = await data.createData(schema, path, fileName);
        if(verbose) {
            console.log(chalk.green('Created Data:\n'), createdData);
        }
        cmd.get(`npx json-server --watch  ${path}/${fileName} --port ${port}`);
        console.log(chalk.green(`Server is litening on port: ${port}`));
    } catch(err) {
        console.log(chalk.red(err));
    }
}
