var jsf = require('json-schema-faker');
var fs  = require('fs');

exports.createData = function (schema, path, fileName) {
    const json = JSON.stringify(jsf(schema))
    const promise  = new Promise((res, rej) => {
      fs.writeFile(`${path}/${fileName}`, json, err => {
        if(err) {
          rej(err)
          return
        }
        res(json)
      })
    })
    return promise;
};